%define		fversion	%(echo %{version} |tr r -)
%define		modulename	date
Summary:	Functions for handling dates
Summary(pl.UTF-8):	Funkcje do obsługi dat
Name:		R-cran-%{modulename}
Version:	1.2r33
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	9817f0770f4e176737dee03a853b3b2d
BuildRequires:	R >= 2.8.1
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Functions for handling dates.

%description -l pl.UTF-8
Funkcje do obsługi dat.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/DESCRIPTION %{modulename}/ChangeLog
%{_libdir}/R/library/%{modulename}
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-date.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 97a947b
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 55c035b
- up to 1.2-33

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> a66fa8d
- updated R reqs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 574c2e6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 49d37ca
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> c14c652
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 77eb721
- pl fix

* Tue Nov 16 2004 ankry <ankry@pld-linux.org> 063a138
- spaces -> tabs

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> 6716fc3
- initital version

